#include "utils.h"
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <limits.h>



struct ticket {
    u32 fields[FIELD_COUNT];
};

#ifndef TEST
u32 rules[][4] = {
    {26,715,727,972}, // departure 61
    {45,164,175,960}, // departure 131
    {43,247,270,972}, // departure 73
    {25,306,330,949}, // departure 107
    {26,635,660,961}, // departure 113
    {42,773,793,961}, // departure 127
    {28,928,943,952},
    {36,593,613,966},
    {33,280,297,951},
    {44,358,371,974},
    {39,815,839,955},
    {39,573,589,959},
    {49,846,865,962},
    {30,913,924,954},
    {29,865,890,965},
    {44,667,683,969},
    {32,473,482,969},
    {40,424,432,953},
    {49,156,164,960},
    {34,521,534,971},
};


ticket tickets[] = {
    {73,101,67,97,149,53,89,113,79,131,71,127,137,61,139,103,83,107,109,59}, /* your ticket: */
    {279,705,188,357,892,488,741,247,572,176,760,306,410,861,507,906,179,501,808,245},
    {51,436,407,893,228,722,213,239,813,460,415,571,95,98,116,138,811,552,164,813},
    {407,242,909,340,99,906,566,749,880,708,273,843,737,244,244,461,903,198,806,64},
    {83,740,373,298,441,199,633,271,397,437,693,624,461,372,296,684,122,795,754,124},
    {294,541,629,865,767,632,434,189,86,799,891,667,466,707,419,197,225,627,243,750},
    {158,405,551,439,803,149,737,773,220,910,341,798,536,209,753,199,273,141,617,122},
    {457,176,371,757,456,192,304,803,256,627,695,762,232,400,755,520,706,926,200,382},
    {566,92,846,448,743,796,54,210,442,623,423,247,52,262,386,747,337,514,145,635},
    {729,403,105,108,514,434,752,244,175,291,147,78,520,708,843,494,409,392,744,572},
    {799,76,122,195,129,298,242,547,563,909,750,438,178,632,514,273,858,397,708,151},
    {482,119,106,800,341,112,804,846,436,566,890,925,515,886,763,236,793,420,908,133},
    {665,335,739,444,989,246,461,57,684,443,842,146,80,372,152,133,306,628,206,753},
    {519,350,70,729,633,949,500,664,726,572,844,211,694,399,912,416,199,97,219,691},
    {379,747,806,134,757,763,334,404,893,909,103,795,522,546,559,394,132,77,457,401},
    {78,142,536,664,128,804,795,906,204,947,339,388,778,96,766,709,118,227,85,305},
    {182,465,484,349,383,94,508,345,61,238,299,540,555,735,353,438,378,500,403,289},
    {132,735,427,356,147,233,905,456,373,712,128,71,559,191,270,350,299,709,453,110},
    {446,445,408,494,423,3,357,625,702,390,511,896,79,712,493,452,510,205,193,554},
    {416,667,449,483,803,348,566,569,753,378,762,497,690,208,81,740,522,187,357,276},
    {890,927,405,213,694,733,76,516,429,489,398,537,540,621,486,727,141,204,145,505},
    {757,354,134,684,83,73,482,846,800,547,206,808,106,763,685,877,771,221,194,591},
    {445,857,432,384,630,418,185,108,569,621,619,451,809,763,744,590,698,520,457,247},
    {769,800,271,50,685,895,125,692,217,419,379,473,18,66,80,381,74,65,57,385},
    {454,348,573,88,351,551,358,896,380,468,630,400,104,405,591,201,556,542,939,346},
    {126,236,111,226,241,159,378,686,68,208,810,534,742,356,182,243,302,943,409,540},
    {120,755,700,704,483,378,666,397,520,209,137,276,361,353,687,709,438,108,129,688},
    {350,274,153,297,177,909,69,547,762,715,395,729,412,185,53,205,943,807,347,874},
    {344,472,705,183,192,431,200,53,110,666,332,209,896,376,454,713,768,98,215,148},
    {417,903,567,89,330,739,447,894,488,57,409,542,274,532,148,737,746,661,753,747},
    {331,194,101,513,145,81,0,198,226,843,807,88,62,223,904,86,901,737,509,753},
    {480,270,382,439,707,343,91,458,383,119,808,82,60,684,147,454,110,545,807,405},
    {760,617,358,697,690,796,55,449,205,510,340,61,66,215,565,650,567,241,229,242},
    {419,626,848,662,230,392,687,278,625,298,230,756,765,210,840,71,401,633,351,148},
    {211,544,797,975,432,89,105,713,555,376,115,53,690,703,948,274,809,591,844,541},
    {628,204,110,450,408,544,812,505,417,769,494,148,147,537,727,902,924,771,202,429},
    {177,428,57,407,564,243,143,382,500,134,177,304,215,405,624,865,843,486,551,796},
    {690,454,56,467,144,209,490,458,353,807,731,762,180,990,423,727,444,247,152,391},
    {675,83,107,514,537,411,444,223,121,154,452,811,180,196,567,591,110,896,696,534},
    {61,387,141,813,932,793,277,410,902,630,230,272,80,337,493,205,461,797,507,495},
    {204,124,997,550,378,388,551,189,138,391,560,139,222,149,467,627,702,220,68,436},
    {273,179,231,383,683,943,499,665,214,508,209,218,127,614,814,63,353,464,290,905},
    {120,100,143,278,592,486,493,18,149,707,196,302,538,844,145,796,482,764,772,238},
    {179,561,395,841,699,626,509,126,399,796,771,445,208,700,331,156,285,152,418,755},
    {116,949,434,491,172,618,416,842,793,947,182,908,629,216,194,846,796,634,496,390},
    {395,381,94,116,466,402,4,418,511,793,697,927,448,904,454,619,94,110,95,493},
    {379,521,684,715,944,692,892,276,901,924,373,525,593,238,435,108,512,801,111,944},
    {733,246,898,356,150,498,195,57,750,210,119,663,823,378,418,66,744,573,538,924},
    {625,389,928,891,291,305,84,109,794,399,926,181,95,459,464,278,401,347,459,713},
    {688,275,683,517,559,297,948,439,907,347,710,181,76,739,739,454,548,736,432,989},
    {237,118,394,111,208,378,138,171,696,412,399,109,210,331,125,205,632,634,696,490},
    {614,222,593,103,810,55,762,503,945,541,182,693,75,124,400,414,710,213,177,781},
    {927,689,185,155,852,703,927,189,386,51,155,53,280,928,634,76,543,456,815,806},
    {990,410,149,206,666,384,394,903,345,97,77,214,473,244,152,618,534,242,560,208},
    {70,220,193,447,202,77,420,733,627,686,513,948,121,746,900,488,453,284,589,192},
    {897,707,928,247,434,623,516,854,703,416,589,905,739,485,468,341,799,491,683,451},
    {377,507,192,518,208,352,217,554,390,910,194,878,699,109,927,182,735,705,146,415},
    {548,101,144,738,801,455,372,571,899,301,350,271,155,337,714,791,436,619,133,304},
    {460,400,122,744,132,754,624,570,572,500,566,436,17,513,699,749,483,709,403,738},
    {181,57,627,947,429,758,593,512,504,101,799,842,155,843,901,633,555,563,211,144},
    {322,928,464,714,793,621,731,71,551,509,910,354,708,388,809,666,208,623,543,467},
    {61,331,911,372,765,445,494,621,631,472,519,352,345,409,338,152,154,763,55,658},
    {405,438,749,236,551,593,895,539,846,246,749,513,259,376,106,82,467,194,440,564},
    {549,924,407,756,689,692,105,349,943,50,80,622,282,438,63,235,748,846,912,946},
    {557,550,557,415,483,544,621,802,520,566,397,274,425,846,57,493,800,537,556,742},
    {120,572,517,114,423,499,634,110,357,435,684,349,861,707,483,434,389,702,661,61},
    {98,976,516,114,927,899,566,104,903,796,758,633,538,411,148,499,553,383,506,227},
    {80,510,571,571,837,518,111,139,550,843,387,76,305,544,543,456,683,707,124,711},
    {450,710,277,420,123,843,59,123,151,414,712,197,929,202,663,896,400,749,75,486},
    {545,504,550,621,143,815,543,517,837,502,765,590,513,398,338,558,107,573,468,50},
    {574,865,925,711,122,812,442,732,738,743,758,460,948,572,140,102,896,372,499,543},
    {222,450,273,686,384,806,619,153,58,378,356,628,355,191,176,683,193,132,881,518},
    {725,386,299,568,689,402,68,65,223,412,802,804,123,151,115,689,338,448,615,355},
    {276,696,105,492,279,424,623,118,215,334,556,708,875,615,626,213,246,503,693,487},
    {431,147,183,619,441,411,50,565,909,406,407,692,109,243,799,404,743,540,117,928},
    {114,492,740,453,302,279,666,948,356,107,393,104,411,345,560,110,436,437,83,171},
    {375,571,195,376,194,755,242,232,216,698,336,244,928,946,412,231,793,887,97,808},
    {545,473,297,408,563,386,713,385,624,378,414,483,766,941,761,731,210,149,538,243},
    {173,810,239,98,186,492,84,50,332,355,395,710,906,303,741,451,812,795,272,404},
    {398,106,207,892,383,435,913,404,332,793,541,345,339,466,549,382,744,124,430,558},
    {452,806,843,623,734,395,341,330,192,84,206,184,988,226,75,794,544,762,413,103},
    {539,406,740,772,794,211,892,294,635,393,235,694,176,627,772,449,710,502,63,622},
    {128,813,68,945,275,453,902,402,79,736,696,21,891,132,204,626,797,667,843,470},
    {404,205,793,552,946,830,76,56,728,213,563,154,468,347,272,927,225,630,357,395},
    {695,199,943,764,147,58,216,147,377,633,635,123,735,442,568,710,944,543,754,937},
    {178,218,127,156,316,118,624,82,449,747,125,624,387,233,177,376,154,446,554,385},
    {764,564,557,793,913,591,984,568,276,188,518,542,807,627,80,388,93,554,689,439},
    {692,810,19,84,553,571,353,736,56,486,451,756,121,710,342,145,740,729,706,565},
    {487,548,700,762,763,132,99,811,446,688,509,728,806,614,140,99,942,189,270,502},
    {412,526,756,894,233,515,703,460,865,464,86,145,228,772,231,211,85,132,446,247},
    {202,70,211,110,96,370,197,216,768,344,799,191,56,135,540,905,356,715,459,763},
    {620,56,419,354,708,414,488,710,766,77,463,712,225,8,713,741,204,616,635,626},
    {84,721,443,572,337,560,813,108,768,432,535,190,231,623,406,114,799,411,151,386},
    {890,807,897,400,278,570,95,103,626,430,68,299,731,701,625,113,503,617,747,497},
    {53,376,540,383,336,780,136,925,353,805,346,747,411,911,386,542,116,913,772,803},
    {382,508,553,893,490,377,186,924,121,573,379,420,306,1,739,589,128,379,734,434},
    {903,383,741,350,103,350,179,407,72,521,628,773,646,401,755,236,61,372,812,330},
    {740,565,373,400,491,563,737,625,461,761,67,303,913,979,383,844,711,357,865,740},
    {701,243,62,760,126,684,343,149,982,444,179,693,212,902,421,347,100,341,617,498},
    {270,796,626,699,518,735,205,559,13,842,896,909,237,809,102,376,809,558,471,462},
    {346,565,630,97,382,393,270,904,300,199,465,941,497,126,98,504,705,897,397,567},
    {908,806,284,518,276,748,113,419,628,86,352,800,745,414,625,213,83,146,137,106},
    {842,656,845,82,665,489,626,573,242,184,510,400,116,135,215,623,773,892,177,150},
    {610,949,795,630,201,110,736,891,626,270,198,710,748,89,727,901,55,345,763,613},
    {395,345,797,185,684,814,738,375,861,737,613,305,381,78,798,766,394,554,548,278},
    {613,811,302,188,905,96,693,160,441,80,201,692,736,270,626,557,896,485,734,279},
    {465,13,90,519,760,64,483,613,907,911,408,904,339,537,336,842,155,451,393,134},
    {67,683,631,389,869,518,385,705,344,212,712,809,80,114,230,415,109,766,482,689},
    {805,413,65,65,703,564,537,798,277,153,301,393,708,552,759,167,187,744,118,767},
    {844,153,337,926,845,433,703,176,715,131,130,98,801,122,937,72,737,811,509,742},
    {409,624,234,846,349,683,406,53,709,773,706,445,557,752,728,455,427,517,695,500},
    {666,441,92,903,421,526,624,745,443,143,83,175,347,571,123,96,118,194,713,201},
    {734,592,214,140,786,91,74,560,794,146,741,127,765,217,665,736,561,232,405,505},
    {201,613,104,413,542,68,179,193,402,757,463,926,844,572,376,553,541,532,492,814},
    {946,683,522,117,561,613,448,701,123,806,144,383,769,559,179,449,51,892,555,407},
    {70,490,497,486,666,699,155,374,590,843,57,221,51,169,52,372,145,71,502,223},
    {728,844,519,105,560,767,449,841,463,240,903,593,21,80,239,900,729,58,275,691},
    {565,454,713,386,585,545,403,242,356,911,100,234,406,147,339,549,380,297,127,553},
    {945,229,242,183,534,110,132,374,421,504,911,705,214,628,797,11,552,541,753,520},
    {354,352,377,124,944,211,203,126,521,386,738,683,350,593,510,948,744,937,494,155},
    {186,928,801,633,75,299,487,443,375,935,762,152,542,572,573,276,766,217,450,813},
    {410,59,388,487,419,238,408,488,206,661,236,812,469,551,537,529,119,793,280,613},
    {501,556,444,750,924,304,155,912,439,137,470,176,907,120,225,227,761,378,692,530},
    {869,702,773,482,453,372,496,88,698,65,730,229,735,689,105,352,803,709,759,438},
    {495,891,306,79,839,397,191,371,80,353,539,728,907,419,187,907,13,842,87,947},
    {850,688,56,305,630,202,398,620,622,798,235,126,799,421,493,131,558,379,395,212},
    {846,483,500,559,487,100,618,911,642,626,112,306,540,494,150,273,764,707,492,60},
    {520,749,504,549,502,755,664,338,143,542,388,770,913,402,135,391,572,101,713,722},
    {751,842,395,629,769,500,663,898,906,119,304,839,714,69,403,431,900,801,592,202},
    {125,272,125,175,740,56,898,430,549,928,192,570,471,280,510,129,129,471,521,458},
    {382,868,564,113,185,333,411,247,494,177,228,803,67,912,211,374,483,760,493,487},
    {372,222,190,306,555,710,186,273,60,688,410,142,514,508,567,848,415,632,728,189},
    {190,571,374,737,482,476,449,506,807,689,549,489,741,946,727,98,352,238,104,392},
    {456,182,71,182,463,728,88,138,620,150,342,535,229,228,112,664,735,429,750,120},
    {941,383,447,520,104,127,89,99,729,841,890,736,623,125,183,142,279,798,729,514},
    {3,141,589,447,213,498,465,906,146,436,132,539,795,128,733,73,551,562,93,502},
    {142,102,191,744,130,206,467,241,294,472,520,218,50,896,100,415,561,691,743,131},
    {757,285,734,924,493,539,485,66,77,343,135,210,442,424,514,50,628,280,397,392},
    {755,546,755,741,630,187,489,92,689,271,568,59,279,814,545,935,773,519,767,903},
    {484,348,756,346,184,754,518,695,435,701,415,102,515,54,102,373,139,758,221,266},
    {904,373,548,420,571,465,865,716,444,446,68,56,231,387,492,141,204,454,568,635},
    {490,126,752,237,840,441,271,563,499,490,736,18,77,688,751,841,279,814,706,164},
    {543,895,509,469,893,383,149,485,663,240,442,375,991,193,331,352,464,513,188,727},
    {205,949,665,231,688,230,413,940,239,764,100,136,684,56,234,377,232,735,737,558},
    {335,234,516,735,231,128,72,544,81,534,747,975,383,247,591,737,220,213,631,188},
    {613,803,391,913,692,303,467,71,543,771,414,106,736,133,526,619,740,763,80,57},
    {805,87,904,745,186,183,196,763,147,448,627,771,157,561,341,731,444,331,728,465},
    {230,195,809,220,747,613,552,225,70,766,707,743,946,558,298,162,466,302,699,615},
    {403,91,695,846,99,244,415,105,892,926,350,985,333,505,806,224,746,356,807,343},
    {798,740,272,936,568,891,535,519,740,701,63,413,66,272,280,204,280,235,123,560},
    {112,444,470,509,79,207,140,869,539,58,177,123,418,841,772,87,399,562,384,744},
    {89,550,247,632,563,846,349,763,184,194,898,757,167,222,64,272,456,63,693,415},
    {492,20,416,846,178,447,495,944,805,237,593,408,501,178,298,228,377,404,224,358},
    {741,386,138,125,478,553,83,101,304,894,466,437,373,341,623,844,946,810,555,115},
    {741,162,502,891,131,152,551,113,512,58,760,894,705,505,753,406,743,909,773,547},
    {404,188,223,57,731,653,124,805,234,752,371,707,356,712,945,331,747,151,947,148},
    {138,553,98,176,256,457,756,754,108,349,133,422,97,489,565,911,662,147,373,240},
    {236,51,945,68,67,144,771,763,690,807,505,521,219,572,373,257,195,517,753,53},
    {391,811,353,558,495,404,374,734,714,335,122,454,589,472,280,890,506,162,683,79},
    {767,825,905,904,519,332,708,506,436,237,801,302,711,84,196,424,947,84,72,191},
    {438,568,237,460,347,558,15,304,799,423,69,843,772,185,500,77,150,355,683,238},
    {497,134,396,536,224,223,414,412,776,416,303,125,275,501,502,839,216,754,687,232},
    {516,244,444,152,556,297,689,665,445,107,225,293,88,573,113,913,401,769,814,463},
    {149,902,76,505,508,542,839,176,494,560,900,128,578,156,223,893,218,225,684,807},
    {54,802,276,514,620,68,797,411,54,273,742,213,715,724,556,80,590,811,96,751},
    {907,57,490,727,592,86,223,647,444,504,346,708,418,278,404,191,738,62,215,376},
    {52,265,279,273,336,752,456,768,372,466,272,844,686,410,134,223,203,389,468,196},
    {223,324,865,68,149,505,488,244,547,117,392,589,896,494,747,98,298,569,507,467},
    {436,137,440,538,471,385,766,615,846,809,928,689,307,212,446,514,418,203,662,422},
    {338,697,19,705,689,104,686,538,56,538,434,214,80,214,116,298,183,560,734,414},
    {58,474,53,498,698,752,752,698,146,155,706,753,894,452,52,415,385,697,904,765},
    {56,200,449,226,343,76,177,409,228,484,135,350,762,794,691,384,333,945,109,996},
    {215,140,537,696,390,353,736,550,91,514,235,126,68,79,156,764,874,384,891,228},
    {297,939,114,134,505,461,706,683,357,246,222,460,763,75,563,392,337,535,546,549},
    {132,378,395,518,78,746,425,103,357,896,450,233,899,750,634,451,100,274,65,176},
    {471,893,801,755,528,488,246,665,74,702,489,110,126,138,729,190,752,120,225,437},
    {396,783,548,357,543,84,150,118,794,891,459,559,633,77,225,558,247,398,67,555},
    {464,350,68,274,335,352,617,91,555,620,548,708,737,345,852,126,129,555,416,904},
    {539,74,118,353,160,559,225,435,928,435,205,454,242,234,752,737,815,274,469,742},
    {422,136,752,128,340,456,507,504,664,551,634,404,733,425,197,534,564,217,536,536},
    {618,592,432,536,769,347,693,540,241,412,191,554,299,352,218,319,236,727,500,543},
    {456,180,137,901,569,258,59,900,913,331,462,418,187,747,450,384,210,384,729,373},
    {813,563,211,800,773,298,238,52,989,454,85,766,102,741,243,752,510,535,483,240},
    {448,390,933,621,242,50,71,484,104,350,752,271,492,730,335,54,747,103,144,566},
    {146,742,446,619,744,772,931,52,538,275,75,302,164,499,415,763,140,110,111,400},
    {123,443,356,91,78,878,507,944,444,949,492,690,740,212,763,714,553,126,278,348},
    {568,664,563,199,561,315,552,55,198,228,202,493,141,455,691,727,336,175,132,239},
    {455,514,693,144,198,331,354,383,395,796,460,219,729,341,99,753,623,228,338,162},
    {550,684,66,278,724,438,60,499,274,199,298,276,707,945,409,445,457,181,349,242},
    {493,590,810,381,509,898,382,461,301,58,465,743,392,728,376,746,15,142,198,715},
    {792,183,551,191,349,122,184,695,399,767,735,735,452,446,893,245,70,660,335,507},
    {403,801,380,689,237,770,192,729,175,205,622,194,383,392,556,724,773,74,949,535},
    {538,754,418,433,737,552,803,496,352,510,240,303,601,537,797,748,709,901,497,795},
    {390,193,216,904,228,443,550,627,663,379,219,749,484,163,345,86,733,913,75,707},
    {106,801,75,913,300,736,614,209,736,76,898,749,298,380,305,435,52,982,129,744},
    {385,796,354,807,626,272,105,372,441,421,506,508,239,892,224,284,763,766,229,278},
    {619,422,911,383,347,446,689,347,397,94,232,98,480,455,512,380,198,693,153,548},
    {60,510,423,890,227,850,924,178,759,182,590,184,453,465,904,466,616,502,63,684},
    {197,913,442,894,702,226,214,409,513,376,468,538,626,739,731,994,417,227,553,502},
    {197,625,403,117,300,713,70,795,754,549,815,409,121,148,995,189,796,742,690,273},
    {689,592,83,122,301,128,235,224,522,566,212,750,102,434,116,630,620,534,434,410},
    {642,948,901,421,225,666,64,138,635,358,344,690,79,613,98,413,392,57,487,372},
    {156,419,275,139,745,629,388,805,949,352,63,549,94,746,874,297,568,375,801,74},
    {710,554,768,379,136,932,376,380,403,739,177,458,391,469,756,180,204,907,244,865},
    {617,166,415,565,926,119,420,414,560,298,924,381,747,306,468,661,116,240,688,195},
    {221,358,420,246,368,75,68,279,694,280,341,378,81,752,501,696,404,902,345,752},
    {900,547,798,277,446,222,152,527,144,509,551,89,713,218,189,624,452,503,246,330},
    {395,407,16,547,421,517,665,389,97,298,140,126,467,164,420,183,807,93,703,153},
    {191,337,63,450,517,284,408,135,899,800,126,623,450,435,563,904,420,924,84,146},
    {693,618,910,843,500,185,509,181,438,461,845,430,450,805,123,247,432,738,374,571},
    {141,907,556,298,739,302,469,510,548,402,767,893,436,665,62,814,622,944,51,855},
    {446,434,447,146,643,626,489,344,111,112,801,467,91,177,186,204,613,207,100,519},
    {911,333,159,241,446,444,199,771,244,419,627,419,543,411,439,485,138,893,99,698},
    {632,799,441,800,796,439,120,394,536,735,664,794,897,235,121,86,174,519,132,625},
    {176,760,53,135,347,336,732,487,169,418,67,352,536,454,800,136,133,423,199,125},
    {508,397,814,752,381,697,243,906,936,144,175,660,842,126,377,749,926,569,620,665},
    {398,687,231,619,842,270,505,948,806,712,573,925,407,246,191,741,158,631,119,84},
    {554,844,457,125,88,185,562,120,231,741,341,154,572,279,428,758,306,83,798,338},
    {833,440,150,616,398,704,521,899,706,771,153,793,571,384,733,334,397,907,541,615},
    {359,845,422,58,302,629,387,240,627,902,487,455,235,215,353,683,193,440,129,696},
    {371,226,949,434,56,906,103,387,511,451,473,164,72,805,928,374,748,229,453,16},
    {155,68,205,133,592,762,60,732,488,133,752,119,507,545,20,97,386,79,727,534},
    {392,627,416,116,994,684,894,749,615,621,913,767,81,946,192,82,814,631,393,466},
    {268,494,667,947,393,67,435,135,744,441,840,572,58,270,71,145,229,541,300,464},
    {214,221,372,749,440,90,402,438,944,732,178,153,118,805,331,418,724,175,625,913},
    {452,667,686,456,185,472,130,807,898,663,810,354,344,650,385,797,399,708,622,100},
    {812,149,593,450,212,421,742,613,355,301,450,89,192,899,162,151,843,460,515,92},
    {531,201,557,279,633,68,131,338,804,199,489,452,220,203,745,128,665,946,410,240},
    {745,842,703,100,802,735,909,749,461,865,661,512,237,20,694,106,453,709,705,103},
    {406,247,62,91,375,547,796,53,751,463,753,121,358,293,213,413,631,947,332,355},
    {633,347,549,56,464,246,700,489,77,90,904,432,181,392,717,415,556,273,562,225},
    {800,180,876,110,804,375,627,225,892,120,116,117,619,557,81,88,112,537,106,123},
    {451,233,73,405,746,169,556,551,548,444,91,630,150,521,553,376,332,771,342,560},
    {348,556,567,684,865,910,200,695,311,418,384,483,905,422,510,185,473,631,560,344},
    {515,391,442,687,843,412,545,469,159,400,123,153,745,180,842,751,394,492,494,485},
    {409,442,390,469,223,335,552,77,758,339,94,186,721,683,539,486,924,684,632,192},
    {700,298,999,164,410,279,113,377,813,909,233,209,376,152,390,340,701,632,153,406},
};
#endif
